petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESNASMSetType

Set the type of subdomain update used

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNASMSetType(SNES snes,PCASMType type)

Logically Collective on SNES Many br

### Input Parameters

| SNES | - the SNES context Many br
| type | - the type of update, PC_ASM_BASIC or PC_ASM_RESTRICT Many br

Many br

### Keywords

SNES, NASM

### See Also

SNESNASM, SNESNASMGetType(), PCASMSetType()

Level:intermediate
Location:src/snes/impls/nasm/nasm.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages